Bug 3201 - Кодировка при выводе на терминал
: Кодировка при выводе на терминал
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/grip)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-10-26 21:23 by
Modified: 2005-07-13 15:45 (History)


Attachments
Fixes for terminal output (4.39 KB, patch)
2003-10-26 21:27, Dmitry Vukolov
no flags Details | Diff
VTE status patch (726 bytes, patch)
2003-10-26 21:29, Dmitry Vukolov
no flags Details | Diff
VTE status patch v2 (4.18 KB, patch)
2003-10-31 04:10, Dmitry Vukolov
no flags Details | Diff
VTE status patch v2.1 (4.17 KB, patch)
2003-10-31 05:46, Dmitry Vukolov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-26 21:23:57
При выводе сообщений на терминал (например, grip --verbose) а также в окне
'Status' строки отображаются закорючками, т.е. чистым UTF8.

$ rpm -q grip
grip-3.1.2-alt3
------- Comment #1 From 2003-10-26 21:27:52 -------
Created an attachment (id=305) [details]
Fixes for terminal output
------- Comment #2 From 2003-10-26 21:29:05 -------
Created an attachment (id=306) [details]
VTE status patch
------- Comment #3 From 2003-10-27 01:00:26 -------
fixed in 3.1.2-alt5, thanks!
------- Comment #5 From 2003-10-31 04:10:35 -------
Created an attachment (id=307) [details]
VTE status patch v2

Updated VTE status patch that fixes the crash occurring when one tried to rip a
CD with non-latin info
------- Comment #6 From 2003-10-31 05:46:20 -------
Created an attachment (id=308) [details]
VTE status patch v2.1
------- Comment #7 From 2003-10-31 10:05:40 -------
Hah!  That's where the segfault lurked!